//---------------------------------------------------------------------------

#ifndef ViewUnitH
#define ViewUnitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
typedef enum
{
    modePictureView,
    modeHexView,
} ViewMode ;

class TViewForm : public TForm
{
__published:	// IDE Ǘ̃R|[lg
        TPanel *binPanel;
        TPanel *Panel1;
        TLabel *Label1;
        TPopupMenu *PopupMenu1;
        TScrollBox *ScrollBox;
        TImage *Image;
        TMenuItem *N1;
        TMenuItem *N2;
        TRichEdit *binRE;
        void __fastcall N1Click(TObject *Sender);
        void __fastcall N2Click(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall ImageMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall ImageMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall ImageMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
private:	// [U[錾
    void __fastcall dataFree(void) ;
    ViewMode m_mode ;
    bool m_binonly ;
    bool m_binview ;
    void __fastcall dump16(TMemoryStream *MS, HLOCAL *hm) ;
    int m_gwidth ;
    int m_gheight ;
    HLOCAL m_hinfo, m_hbm, m_hfile ;
    void __fastcall data2bin(void) ;
    /* 摜}EXhbOł肮p */
    bool m_mousedown ;
    int m_posX ;
    int m_posY ;
public:		// [U[錾
        __fastcall TViewForm(TComponent* Owner);
    void __fastcall setdata(HLOCAL *phinfo, HLOCAL *phbm, HLOCAL *phfile);
    void __fastcall viewchange(ViewMode newmode);
};
//---------------------------------------------------------------------------
//extern PACKAGE TViewForm *ViewForm;
//---------------------------------------------------------------------------
#endif
 